{% extends 'admin/index.html.twig' %}

{% block body %}
    <h1>{{action}}
        un article</h1>
    {{ form_start(form, {'attr': {'class': 'row justify-content-center'}}) }}
    {{ form_errors(form) }}

    <div class="form-group col-11 col-md-7 col-lg-9">
        {{ form_label(form.title, 'Titre') }}
        {{ form_widget(form.title, {'attr': {'class': 'form-control'}}) }}
    </div>
    <div class="form-group col-11 col-md-7 col-lg-9">
        {{ form_label(form.content, 'Lien') }}
        {{ form_widget(form.content, {'attr': {'class': 'form-control'}}) }}
    </div>
    <div class="form-group col-11 col-lg-9">
        {{ form_label(form.thumbnail, 'Image mise en avant', {'label_attr': {'class': 'btn btn-warning', 'for': 'article_form_thumbnail_file'}}) }}
        {{ form_widget(form.thumbnail, {'attr': {'class': 'form-control-file'}}) }}
        <div class="preview"></div>
    </div>
    <div class="form-group col-11 col-md-7 col-lg-9">
        {{ form_label(form.category, 'Category') }}
        {{ form_widget(form.category, {'attr': {'class': 'form-control'}}) }}
    </div>
    <div class="w-100"></div>
    <input type="submit" class="btn btn-warning col-auto" value="{{action}}"/>
    {{ form_end(form) }}
{% endblock %}